Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins.factory
Class GenericBeanFactoryMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractBeanMetaData
                  org.jboss.beans.metadata.plugins.factory.GenericBeanFactoryMetaData

All Implemented Interfaces:
  BeanMetaData, Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

public class GenericBeanFactoryMetaData
extends AbstractBeanMetaData

GenericBeanFactoryMetaData.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractBeanMetaData
`bean, classLoader, constructor, create, demands, destroy, metaData, mode, name, start, stop, supplies`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`GenericBeanFactoryMetaData()` Create a new GenericBeanFactoryMetaData.
`GenericBeanFactoryMetaData(String name)` Create a new GenericBeanFactoryMetaData.
`GenericBeanFactoryMetaData(String name, String bean)` Create a new GenericBeanFactoryMetaData.

Method Summary
`void` | `addBeanProperty(PropertyMetaData property)` Add a bean property
`void` | `setBeanClass(String beanClass)` Set the class of the bean created
`void` | `setBeanConstructor(ConstructorMetaData constructor)` Set the bean constructor
`void` | `setBeanCreate(LifecycleMetaData lifecycle)`
`void` | `setBeanStart(LifecycleMetaData lifecycle)`
`void` | `setClassLoader(ClassLoaderMetaData classLoader)` Set the bean ClassLoader

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractBeanMetaData
`addProperty, getBean, getChildren, getChildren, getClassLoader, getConstructor, getCreate, getDemands, getDestroy, getMode, getName, getProperties, getProperty, getStart, getStop, getSupplies, setBean, setConstructor, setCreate, setDemands, setDestroy, setMode, setName, setProperties, setStart, setStop, setSupplies, toShortString, toString`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getDescription, setAnnotations, setDescription, visit`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`visit`

Constructor Detail

### GenericBeanFactoryMetaData

    public GenericBeanFactoryMetaData()

  Create a new GenericBeanFactoryMetaData.

### GenericBeanFactoryMetaData

    public GenericBeanFactoryMetaData(String name)

  Create a new GenericBeanFactoryMetaData.

Parameters:
  `name` - the name

### GenericBeanFactoryMetaData

    public GenericBeanFactoryMetaData(String name,
                                      String bean)

  Create a new GenericBeanFactoryMetaData.

Parameters:
  `name` - the name
  `bean` - the bean class name

Method Detail

### setBeanClass

    public void setBeanClass(String beanClass)

  Set the class of the bean created

  Parameters:
    `beanClass` - the class

### setClassLoader

    public void setClassLoader(ClassLoaderMetaData classLoader)

  Description copied from interface: `BeanMetaData`
  Set the bean ClassLoader

  Specified by:
    `setClassLoader` in interface `BeanMetaData`
  Overrides:
    `setClassLoader` in class `AbstractBeanMetaData`

### setBeanConstructor

    public void setBeanConstructor(ConstructorMetaData constructor)

  Set the bean constructor

  Parameters:
    `constructor` - the constructor

### addBeanProperty

    public void addBeanProperty(PropertyMetaData property)

  Add a bean property

  Parameters:
    `property` - the property

### setBeanCreate

    public void setBeanCreate(LifecycleMetaData lifecycle)

### setBeanStart

    public void setBeanStart(LifecycleMetaData lifecycle)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.